200OKThe request succeeded and the response body contains the requested data.
Response Body Parameters
TimeSeriesDataResponse
Property
Description
Type
entities
TimeSeriesEntity[]
TimeSeriesEntity properties
Property
Description
Type
display
string
id
integer (int32)
secondaryDisplay
string
type
string
values
TimeSeriesValue[]
TimeSeriesValue properties
Property
Description
Type
date
string (date-time)
formattedValue
Value, serialized as a String. This is the value that should be displayed to the
User. If Value is very large or to a high degree of precision its Number value
in Javascript cannot be relied upon. Other client languages might have similar
limitations. In order to guarantee that Value is displayed to the User to the
same degree of precision as is stored in the readings database, this
formattedValue property must be used.
string
id
integer (int32)
unit
The Unit that Value is expressed in. E.g. “kWh”.
string
value
Value, as a decimal. Note that this could be very large, and/or to a high degree of
precision. In particular, in Javascript, it might not be able to be precisely
represented in a 64-bit float. See: formattedValue.